Deployment groups
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Filter by project ID or name.
length <= 100Search deployment groups by name
Optional fields to include: project
Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups?project=my-project"{ "items": [ { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z", "project": { "id": "string", "name": "string" } } ], "nextCursor": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "prod-us-east-1", "project": "string" }'{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployment-groups/by-name" \ -H "Content-Type: application/json" \ -d '{ "name": "prod-us-east-1", "project": "string" }'{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Project ID or name. Optional for project-scoped API keys.
length <= 100Case-sensitive, URL- and header-safe identifier from the integrating application.
^[A-Za-z0-9][A-Za-z0-9._~-]*$1 <= length <= 128Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/by-external-id?externalId=ext_example_01"{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployment-groups/by-external-id" \ -H "Content-Type: application/json" \ -d '{ "externalId": "ext_example_01", "name": "prod-us-east-1", "project": "string" }'{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Optional fields to include: project
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z", "project": { "id": "string", "name": "string" }, "deploymentCount": 0}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/external-id" \ -H "Content-Type: application/json" \ -d '{ "externalId": "ext_example_01" }'{ "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "maxDeployments": 100, "createdAt": "2019-08-24T14:15:22Z"}Creates a deployment-group scoped API key and returns both the token and formatted deployment link
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/tokens" \ -H "Content-Type: application/json" \ -d '{}'{ "token": "string", "deploymentLink": "string"}Returns the value to enter as the ManagementExternalId parameter when installing or updating this group's CloudFormation or Terraform setup from a template file. The management roles require it as sts:ExternalId. Requires the same permission as creating a setup link.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/management-external-id"{ "managementExternalId": "string"}Mints a short-lived deployment-group token with the recommended self-deploy policy for the authenticated developer.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/first-party-session"{ "token": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"{ "binding": { "id": "string", "provider": "anthropic", "providerEndpoint": "string", "providerClientId": "string", "keyFingerprint": "string", "credentialRevision": 1, "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogProviderModelIds": [ "string" ], "catalogObservedAt": "2019-08-24T14:15:22Z", "requiredModelCoverage": [ { "publicModelId": "string", "available": true, "accessStatus": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "updatedAt": "2019-08-24T14:15:22Z" }}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external" \ -H "Content-Type: application/json" \ -d '{ "provider": "anthropic", "apiKey": "string", "acknowledgeAlienCredentialAccess": true }'{ "id": "string", "provider": "anthropic", "providerEndpoint": "string", "providerClientId": "string", "keyFingerprint": "string", "credentialRevision": 1, "credentialStatus": "pending", "credentialCheckedAt": "2019-08-24T14:15:22Z", "catalogProviderModelIds": [ "string" ], "catalogObservedAt": "2019-08-24T14:15:22Z", "requiredModelCoverage": [ { "publicModelId": "string", "available": true, "accessStatus": "verified", "accessObservedAt": "2019-08-24T14:15:22Z" } ], "updatedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$1 <= length <= 256Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/models/string/checks"{ "id": "string", "publicModel": "string", "status": "pending", "blockerCode": "string", "error": null, "requestedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/model-checks/string"{ "id": "string", "publicModel": "string", "status": "pending", "blockerCode": "string", "error": null, "requestedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry"{ "route": { "id": "crroute_c9t4xoy7fmiq7equtu20", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "managerId": "string", "resourceId": "string", "resourceRevision": "string", "desiredRevision": 0, "appliedRevision": 0, "status": "resolving", "lastVerifiedAt": "2019-08-24T14:15:22Z", "lastError": "string" }, "endpoint": { "url": "http://example.com", "source": "runtime" }, "repositories": [ { "id": "crrepo_625temdq3bnu25jw9rcux", "logicalName": "string", "desiredState": "present", "status": "pending", "verifiedAt": "2019-08-24T14:15:22Z" } ], "credentials": [ { "id": "crcred_oz1xjr82f37j17g4gtmyu", "label": "string", "scope": "pull", "repositorySubset": [ "string" ], "expiresAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry" \ -H "Content-Type: application/json" \ -d '{ "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "resourceId": "string" }'{ "id": "crroute_c9t4xoy7fmiq7equtu20", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "managerId": "string", "resourceId": "string", "resourceRevision": "string", "desiredRevision": 0, "appliedRevision": 0, "status": "resolving", "lastVerifiedAt": "2019-08-24T14:15:22Z", "lastError": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "crrepo_625temdq3bnu25jw9rcux", "logicalName": "string", "desiredState": "present", "status": "pending", "verifiedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials" \ -H "Content-Type: application/json" \ -d '{ "label": "string", "scope": "pull" }'{ "credential": { "id": "crcred_oz1xjr82f37j17g4gtmyu", "label": "string", "scope": "pull", "repositorySubset": [ "string" ], "expiresAt": "2019-08-24T14:15:22Z", "lastUsedAt": "2019-08-24T14:15:22Z", "revokedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }, "username": "alien", "password": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Unique identifier for the container registry credential.
crcred_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials/crcred_oz1xjr82f37j17g4gtmyu"API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Unique identifier for the container registry repository.
crrepo_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories/crrepo_625temdq3bnu25jw9rcux" \ -H "Content-Type: application/json" \ -d '{ "confirmName": "string", "disposition": "preserve" }'{ "id": "crrepo_625temdq3bnu25jw9rcux", "logicalName": "string", "desiredState": "present", "status": "pending", "verifiedAt": "2019-08-24T14:15:22Z"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/verify"{ "id": "crroute_c9t4xoy7fmiq7equtu20", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "managerId": "string", "resourceId": "string", "resourceRevision": "string", "desiredRevision": 0, "appliedRevision": 0, "status": "resolving", "lastVerifiedAt": "2019-08-24T14:15:22Z", "lastError": "string"}API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment group.
dg_[0-9a-z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/revoke"{ "id": "crroute_c9t4xoy7fmiq7equtu20", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "managerId": "string", "resourceId": "string", "resourceRevision": "string", "desiredRevision": 0, "appliedRevision": 0, "status": "resolving", "lastVerifiedAt": "2019-08-24T14:15:22Z", "lastError": "string"}